Limerence
External identity

Create Identity Provider

Register an external OIDC identity provider for the current organization

POST
/identity-providers

Register an external OIDC identity provider for the current organization

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/identity-providers" \  -H "Content-Type: application/json" \  -d '{    "audience": "string",    "issuer": "http://example.com",    "jwksUrl": "http://example.com",    "teamId": "string"  }'
{  "audience": "string",  "createdAt": "string",  "id": "string",  "issuer": "string",  "jwksUrl": "string",  "organizationId": "string",  "teamId": "string",  "updatedAt": "string"}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "external-identity/provider-exists",    "detail": "Each organization may register at most one external identity provider."  },  "message": "Organization already has a registered identity provider"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}